# stcloud::AwsSettingsControllerApi

All URIs are relative to */*

| Method                                                                 | HTTP request                               | Description                               |
| ---------------------------------------------------------------------- | ------------------------------------------ | ----------------------------------------- |
| [**update_using_put1**](AwsSettingsControllerApi.md#update_using_put1) | **PUT** /users-web/api/v3/apps/{appId}/aws | Update App&#x27;s AWS CloudWatch settings |

# **update_using_put1**
> CloudWatchSettingsResponse update_using_put1(bodyapp_id)

Update App's AWS CloudWatch settings

Applicable only for AWS Apps

### Example
```ruby
# load the gem
require 'stcloud'
# setup authorization
stcloud.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = stcloud::AwsSettingsControllerApi.new
body = stcloud::CloudWatchSettings.new # CloudWatchSettings | dto
app_id = 789 # Integer | appId


begin
  #Update App's AWS CloudWatch settings
  result = api_instance.update_using_put1(bodyapp_id)
  p result
rescue stcloud::ApiError => e
  puts "Exception when calling AwsSettingsControllerApi->update_using_put1: #{e}"
end
```

### Parameters

| Name       | Type                                            | Description | Notes |
| ---------- | ----------------------------------------------- | ----------- | ----- |
| **body**   | [**CloudWatchSettings**](CloudWatchSettings.md) | dto         |
| **app_id** | **Integer**                                     | appId       |

### Return type

[**CloudWatchSettingsResponse**](CloudWatchSettingsResponse.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json
